Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet
Class ConnectionPool.DefaultOutputStream

    java.lang.Object
      java.io.OutputStream
          php.java.servlet.ConnectionPool.DefaultOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  ConnectionPool

    public static class ConnectionPool.DefaultOutputStream

extends java.io.OutputStream

Default OutputStream used by the connection pool.

Author:
  jostb

Constructor Summary
`ConnectionPool.DefaultOutputStream()`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] buf)`
`void` | `write(byte[] buf, int off, int buflength)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPool.DefaultOutputStream

    public ConnectionPool.DefaultOutputStream()

Method Detail

### write

    public void write(byte[] buf)
               throws ConnectionPool.ConnectionException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `ConnectionPool.ConnectionException`

### write

    public void write(byte[] buf,
                      int off,
                      int buflength)
               throws ConnectionPool.ConnectionException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `ConnectionPool.ConnectionException`

### write

    public void write(int b)
               throws ConnectionPool.ConnectionException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `ConnectionPool.ConnectionException`

### close

    public void close()
               throws ConnectionPool.ConnectionException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `ConnectionPool.ConnectionException`

### flush

    public void flush()
               throws ConnectionPool.ConnectionException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.OutputStream`
  Throws:
    `ConnectionPool.ConnectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD